System.ComponentModel.DataAnnotations 4.0.0.0 System.Enum

This enumeration is used to specify the type of data to associate with a data column or a parameter. You use the class to specify the data type you want to associate with the data field or parameter. You select the data type from this enumeration.

The attribute lets you mark fields by using a type that is more specific than the database intrinsic types. For example, a string data field that contains e-mail addresses can be attributed with the type. This information can be accessed by the field templates and modify how the data field is processed.

The following table lists the data types Dynamic Data provides.

Represents an enumeration of the data types associated with data fields and parameters.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a credit card number.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a currency value.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a custom data type.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a date value.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents an instant in time, expressed as a date and time of day.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a continuous time during which an object exists.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents an e-mail address.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents an HTML file.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a URL to an image.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents multi-line text.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represent a password value.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a phone number value.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a postal code.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents text that is displayed.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a time value.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents file upload data type.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.DataType

  Represents a URL value.